### Constructor

# Gio MemoryInputStream new_from_bytes

since: 2.34

#### Declaration [src]

    GInputStream*
    g_memory_input_stream_new_from_bytes (
      GBytes* bytes
    )

#### Description [src]

Creates a new `GMemoryInputStream` with data from the given `bytes`.

Available since: 2.34

#### Parameters

`bytes`

  Type: `GBytes`

  A `GBytes`.

  The data is owned by the caller of the function.

#### Return value

Type: `GInputStream`

New `GInputStream` read from `bytes`.

The caller of the function takes ownership of the data, and is responsible for freeing it.